## r-bioc-genomicranges 1.38.0+dfsg

=== DESCRIPTION ===
Package: GenomicRanges
Title: Representation and manipulation of genomic intervals
Description: The ability to efficiently represent and manipulate genomic
	annotations and alignments is playing a central role when it comes
	to analyzing high-throughput sequencing data (a.k.a. NGS data).
	The GenomicRanges package defines general purpose containers for
	storing and manipulating genomic intervals and variables defined along
	a genome. More specialized containers for representing and manipulating
	short alignments against a reference genome, or a matrix-like
	summarization of an experiment, are defined in the GenomicAlignments
	and SummarizedExperiment packages, respectively. Both packages build
	on top of the GenomicRanges infrastructure.
Version: 1.38.0
Encoding: UTF-8
Author: P. Aboyoun, H. Pagès, and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Genetics, Infrastructure, Sequencing, Annotation, Coverage,
        GenomeAnnotation
Depends: R (>= 2.10), methods, stats4, BiocGenerics (>= 0.25.3),
        S4Vectors (>= 0.23.19), IRanges (>= 2.19.9), GenomeInfoDb (>=
        1.15.2)
Imports: utils, stats, XVector (>= 0.19.8)
LinkingTo: S4Vectors, IRanges
Suggests: Matrix, Biobase, AnnotationDbi, annotate, Biostrings (>=
        2.25.3), SummarizedExperiment (>= 0.1.5), Rsamtools (>=
        1.13.53), GenomicAlignments, rtracklayer, BSgenome,
        GenomicFeatures, Gviz, VariantAnnotation, AnnotationHub,
        DESeq2, DEXSeq, edgeR, KEGGgraph, RNAseqData.HNRNPC.bam.chr14,
        pasillaBamSubset, KEGG.db, hgu95av2.db, hgu95av2probe,
        BSgenome.Scerevisiae.UCSC.sacCer2, BSgenome.Hsapiens.UCSC.hg19,
        BSgenome.Mmusculus.UCSC.mm10,
        TxDb.Athaliana.BioMart.plantsmart22,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene, RUnit, digest, knitr,
        BiocStyle
License: Artistic-2.0
VignetteBuilder: knitr
Collate: normarg-utils.R utils.R phicoef.R transcript-utils.R
        constraint.R strand-utils.R genomic-range-squeezers.R
        GenomicRanges-class.R GenomicRanges-comparison.R
        GRanges-class.R GPos-class.R GRangesFactor-class.R
        DelegatingGenomicRanges-class.R GNCList-class.R
        GenomicRangesList-class.R GRangesList-class.R
        makeGRangesFromDataFrame.R makeGRangesListFromDataFrame.R
        RangedData-methods.R findOverlaps-methods.R
        intra-range-methods.R inter-range-methods.R coverage-methods.R
        setops-methods.R nearest-methods.R absoluteRanges.R
        tileGenome.R tile-methods.R genomicvars.R zzz.R
git_url: https://git.bioconductor.org/packages/GenomicRanges
git_branch: RELEASE_3_10
git_last_commit: 0a8bf1d
git_last_commit_date: 2019-10-29
Date/Publication: 2019-10-29
NeedsCompilation: yes
Packaged: 2019-10-30 00:02:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicranges (1.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Nov 2019 22:31:20 +0100

r-bioc-genomicranges (1.36.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 10 Sep 2019 16:47:39 +0200

=== debian/control ===
Source: r-bioc-genomicranges
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.25.3),
               r-bioc-s4vectors (>= 0.23.19),
               r-bioc-iranges (>= 2.19.9),
               r-bioc-genomeinfodb (>= 1.15.2),
               r-bioc-xvector (>= 0.19.8)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
Homepage: https://bioconductor.org/packages/GenomicRanges/

Package: r-bioc-genomicranges
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manipulation of genomic intervals
 The ability to efficiently store genomic annotations and alignments is
 playing a central role when it comes to analyze high-throughput
 sequencing data (a.k.a. NGS data). The package defines general purpose
 containers for storing genomic intervals as well as more specialized
 containers for storing alignments against a reference genome.

## r-bioc-genomicranges 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,16 +10,16 @@
 	summarization of an experiment, are defined in the GenomicAlignments
 	and SummarizedExperiment packages, respectively. Both packages build
 	on top of the GenomicRanges infrastructure.
-Version: 1.38.0
+Version: 1.40.0
 Encoding: UTF-8
 Author: P. Aboyoun, H. Pagès, and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
-biocViews: Genetics, Infrastructure, Sequencing, Annotation, Coverage,
-        GenomeAnnotation
+biocViews: Genetics, Infrastructure, DataRepresentation, Sequencing,
+        Annotation, GenomeAnnotation, Coverage
 Depends: R (>= 2.10), methods, stats4, BiocGenerics (>= 0.25.3),
-        S4Vectors (>= 0.23.19), IRanges (>= 2.19.9), GenomeInfoDb (>=
+        S4Vectors (>= 0.25.14), IRanges (>= 2.21.6), GenomeInfoDb (>=
         1.15.2)
-Imports: utils, stats, XVector (>= 0.19.8)
+Imports: utils, stats, XVector (>= 0.27.2)
 LinkingTo: S4Vectors, IRanges
 Suggests: Matrix, Biobase, AnnotationDbi, annotate, Biostrings (>=
         2.25.3), SummarizedExperiment (>= 0.1.5), Rsamtools (>=
@@ -48,9 +48,9 @@
         setops-methods.R nearest-methods.R absoluteRanges.R
         tileGenome.R tile-methods.R genomicvars.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_10
-git_last_commit: 0a8bf1d
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: a9e18e4
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-30 00:02:02 UTC; biocbuild
+Packaged: 2020-04-28 00:15:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicranges (1.40.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:34:14 +0000

r-bioc-genomicranges (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 10:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.25.3),
-               r-bioc-s4vectors (>= 0.23.19),
-               r-bioc-iranges (>= 2.19.9),
+               r-bioc-s4vectors (>= 0.25.14),
+               r-bioc-iranges (>= 2.21.6),
                r-bioc-genomeinfodb (>= 1.15.2),
-               r-bioc-xvector (>= 0.19.8)
-Standards-Version: 4.4.1
+               r-bioc-xvector (>= 0.27.2)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
 Homepage: https://bioconductor.org/packages/GenomicRanges/
+Rules-Requires-Root: no
 
 Package: r-bioc-genomicranges
 Architecture: any

## r-bioc-genomicranges 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -10,16 +10,19 @@
 	summarization of an experiment, are defined in the GenomicAlignments
 	and SummarizedExperiment packages, respectively. Both packages build
 	on top of the GenomicRanges infrastructure.
-Version: 1.40.0
+biocViews: Genetics, Infrastructure, DataRepresentation, Sequencing,
+        Annotation, GenomeAnnotation, Coverage
+URL: https://bioconductor.org/packages/GenomicRanges
+BugReports: https://github.com/Bioconductor/GenomicRanges/issues
+Version: 1.42.0
+License: Artistic-2.0
 Encoding: UTF-8
 Author: P. Aboyoun, H. Pagès, and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
-biocViews: Genetics, Infrastructure, DataRepresentation, Sequencing,
-        Annotation, GenomeAnnotation, Coverage
 Depends: R (>= 2.10), methods, stats4, BiocGenerics (>= 0.25.3),
-        S4Vectors (>= 0.25.14), IRanges (>= 2.21.6), GenomeInfoDb (>=
+        S4Vectors (>= 0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>=
         1.15.2)
-Imports: utils, stats, XVector (>= 0.27.2)
+Imports: utils, stats, XVector (>= 0.29.2)
 LinkingTo: S4Vectors, IRanges
 Suggests: Matrix, Biobase, AnnotationDbi, annotate, Biostrings (>=
         2.25.3), SummarizedExperiment (>= 0.1.5), Rsamtools (>=
@@ -34,7 +37,6 @@
         TxDb.Hsapiens.UCSC.hg19.knownGene,
         TxDb.Mmusculus.UCSC.mm10.knownGene, RUnit, digest, knitr,
         BiocStyle
-License: Artistic-2.0
 VignetteBuilder: knitr
 Collate: normarg-utils.R utils.R phicoef.R transcript-utils.R
         constraint.R strand-utils.R genomic-range-squeezers.R
@@ -48,9 +50,9 @@
         setops-methods.R nearest-methods.R absoluteRanges.R
         tileGenome.R tile-methods.R genomicvars.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_11
-git_last_commit: a9e18e4
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 32baca7
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes
-Packaged: 2020-04-28 00:15:12 UTC; biocbuild
+Packaged: 2020-10-28 00:26:39 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicranges (1.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.25.3),
-               r-bioc-s4vectors (>= 0.25.14),
-               r-bioc-iranges (>= 2.21.6),
+               r-bioc-s4vectors (>= 0.27.12),
+               r-bioc-iranges (>= 2.23.9),
                r-bioc-genomeinfodb (>= 1.15.2),
-               r-bioc-xvector (>= 0.27.2)
+               r-bioc-xvector (>= 0.29.2)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git

## r-bioc-genomicranges 1.46.1%2Bdfsg

=== debian/changelog ===
r-bioc-genomicranges (1.46.1+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:07:36 +0100

r-bioc-genomicranges (1.44.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/u/metadata:
    - Set upstream fields: Bug-Database, Bug-Submit, Repository,
      Repository-Browse. (routine-update)
    - Completed references to registries

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 09:20:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.25.3),
+               r-bioc-biocgenerics (>= 0.37.0),
                r-bioc-s4vectors (>= 0.27.12),
                r-bioc-iranges (>= 2.23.9),
-               r-bioc-genomeinfodb (>= 1.15.2),
+               r-bioc-genomeinfodb,
                r-bioc-xvector (>= 0.29.2)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
 Homepage: https://bioconductor.org/packages/GenomicRanges/

## r-bioc-genomicranges 1.46.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,12 +14,12 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.42.0
+Version: 1.46.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: P. Aboyoun, H. Pagès, and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
-Depends: R (>= 2.10), methods, stats4, BiocGenerics (>= 0.25.3),
+Depends: R (>= 4.0.0), methods, stats4, BiocGenerics (>= 0.37.0),
         S4Vectors (>= 0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>=
         1.15.2)
 Imports: utils, stats, XVector (>= 0.29.2)
@@ -29,14 +29,14 @@
         1.13.53), GenomicAlignments, rtracklayer, BSgenome,
         GenomicFeatures, Gviz, VariantAnnotation, AnnotationHub,
         DESeq2, DEXSeq, edgeR, KEGGgraph, RNAseqData.HNRNPC.bam.chr14,
-        pasillaBamSubset, KEGG.db, hgu95av2.db, hgu95av2probe,
+        pasillaBamSubset, KEGGREST, hgu95av2.db, hgu95av2probe,
         BSgenome.Scerevisiae.UCSC.sacCer2, BSgenome.Hsapiens.UCSC.hg19,
         BSgenome.Mmusculus.UCSC.mm10,
         TxDb.Athaliana.BioMart.plantsmart22,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         TxDb.Hsapiens.UCSC.hg19.knownGene,
         TxDb.Mmusculus.UCSC.mm10.knownGene, RUnit, digest, knitr,
-        BiocStyle
+        rmarkdown, BiocStyle
 VignetteBuilder: knitr
 Collate: normarg-utils.R utils.R phicoef.R transcript-utils.R
         constraint.R strand-utils.R genomic-range-squeezers.R
@@ -49,10 +49,11 @@
         intra-range-methods.R inter-range-methods.R coverage-methods.R
         setops-methods.R nearest-methods.R absoluteRanges.R
         tileGenome.R tile-methods.R genomicvars.R zzz.R
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_12
-git_last_commit: 32baca7
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: e422642
+git_last_commit_date: 2021-11-16
+Date/Publication: 2021-11-18
 NeedsCompilation: yes
-Packaged: 2020-10-28 00:26:39 UTC; biocbuild
+Packaged: 2021-11-18 11:36:33 UTC; biocbuild

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/GenomicRanges.html .*/GenomicRanges_([\d\.]+)\.tar\.gz

## r-bioc-genomicranges 1.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.46.1
+Version: 1.48.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: P. Aboyoun, H. Pagès, and M. Lawrence
@@ -47,13 +47,13 @@
         makeGRangesFromDataFrame.R makeGRangesListFromDataFrame.R
         RangedData-methods.R findOverlaps-methods.R
         intra-range-methods.R inter-range-methods.R coverage-methods.R
-        setops-methods.R nearest-methods.R absoluteRanges.R
-        tileGenome.R tile-methods.R genomicvars.R zzz.R
-RoxygenNote: 7.1.1
+        setops-methods.R subtract-methods.R nearest-methods.R
+        absoluteRanges.R tileGenome.R tile-methods.R genomicvars.R
+        zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_14
-git_last_commit: e422642
-git_last_commit_date: 2021-11-16
-Date/Publication: 2021-11-18
+git_branch: RELEASE_3_15
+git_last_commit: 2bce608
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-11-18 11:36:33 UTC; biocbuild
+Packaged: 2022-04-26 20:45:49 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicranges (1.48.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 21:50:38 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-bioc-iranges (>= 2.23.9),
                r-bioc-genomeinfodb,
                r-bioc-xvector (>= 0.29.2)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
 Homepage: https://bioconductor.org/packages/GenomicRanges/

## r-bioc-genomicranges 1.50.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,13 +14,16 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.48.0
+Version: 1.50.2
 License: Artistic-2.0
 Encoding: UTF-8
-Author: P. Aboyoun, H. Pagès, and M. Lawrence
-Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
+Authors@R: c(
+	person("Patrick", "Aboyoun", role="aut"),
+	person("Hervé", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("Michael", "Lawrence", role="aut"))
 Depends: R (>= 4.0.0), methods, stats4, BiocGenerics (>= 0.37.0),
-        S4Vectors (>= 0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>=
+        S4Vectors (>= 0.27.12), IRanges (>= 2.31.2), GenomeInfoDb (>=
         1.15.2)
 Imports: utils, stats, XVector (>= 0.29.2)
 LinkingTo: S4Vectors, IRanges
@@ -51,9 +54,13 @@
         absoluteRanges.R tileGenome.R tile-methods.R genomicvars.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_15
-git_last_commit: 2bce608
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 6125839
+git_last_commit_date: 2022-12-15
+Date/Publication: 2022-12-16
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:45:49 UTC; biocbuild
+Packaged: 2022-12-16 21:52:40 UTC; biocbuild
+Author: Patrick Aboyoun [aut],
+  Hervé Pagès [aut, cre],
+  Michael Lawrence [aut]
+Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomicranges (1.50.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:03:56 +0100

r-bioc-genomicranges (1.50.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:27:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                r-base-dev,
                r-bioc-biocgenerics (>= 0.37.0),
                r-bioc-s4vectors (>= 0.27.12),
-               r-bioc-iranges (>= 2.23.9),
+               r-bioc-iranges (>= 2.31.2),
                r-bioc-genomeinfodb,
                r-bioc-xvector (>= 0.29.2)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
 Homepage: https://bioconductor.org/packages/GenomicRanges/

## r-bioc-genomicranges 1.52.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.50.2
+Version: 1.52.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -54,12 +54,12 @@
         absoluteRanges.R tileGenome.R tile-methods.R genomicvars.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_16
-git_last_commit: 6125839
-git_last_commit_date: 2022-12-15
-Date/Publication: 2022-12-16
+git_branch: RELEASE_3_17
+git_last_commit: 883f125
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-12-16 21:52:40 UTC; biocbuild
+Packaged: 2023-04-25 21:14:35 UTC; biocbuild
 Author: Patrick Aboyoun [aut],
   Hervé Pagès [aut, cre],
   Michael Lawrence [aut]

=== debian/changelog ===
r-bioc-genomicranges (1.52.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:19:39 +0200

## r-bioc-genomicranges 1.54.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,14 +14,22 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.52.0
+Version: 1.54.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
 	person("Patrick", "Aboyoun", role="aut"),
 	person("Hervé", "Pagès", role=c("aut", "cre"),
 		email="hpages.on.github@gmail.com"),
-	person("Michael", "Lawrence", role="aut"))
+	person("Michael", "Lawrence", role="aut"),
+	person("Sonali", "Arora", role="ctb"),
+	person("Martin", "Morgan", role="ctb"),
+	person("Kayla", "Morrell", role="ctb"),
+	person("Valerie", "Obenchain", role="ctb"),
+	person("Marcel", "Ramos", role="ctb"),
+	person("Lori", "Shepherd", role="ctb"),
+	person("Dan", "Tenenbaum", role="ctb"),
+	person("Daniel", "van Twisk", role="ctb"))
 Depends: R (>= 4.0.0), methods, stats4, BiocGenerics (>= 0.37.0),
         S4Vectors (>= 0.27.12), IRanges (>= 2.31.2), GenomeInfoDb (>=
         1.15.2)
@@ -54,13 +62,21 @@
         absoluteRanges.R tileGenome.R tile-methods.R genomicvars.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_17
-git_last_commit: 883f125
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: d3dcf9a
+git_last_commit_date: 2023-10-27
+Date/Publication: 2023-10-29
 NeedsCompilation: yes
-Packaged: 2023-04-25 21:14:35 UTC; biocbuild
+Packaged: 2023-10-29 21:01:02 UTC; biocbuild
 Author: Patrick Aboyoun [aut],
   Hervé Pagès [aut, cre],
-  Michael Lawrence [aut]
+  Michael Lawrence [aut],
+  Sonali Arora [ctb],
+  Martin Morgan [ctb],
+  Kayla Morrell [ctb],
+  Valerie Obenchain [ctb],
+  Marcel Ramos [ctb],
+  Lori Shepherd [ctb],
+  Dan Tenenbaum [ctb],
+  Daniel van Twisk [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomicranges (1.54.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 01:37:24 +0000

r-bioc-genomicranges (1.52.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 15:27:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors (>= 0.27.12),
+               r-bioc-s4vectors,
                r-bioc-iranges (>= 2.31.2),
                r-bioc-genomeinfodb,
-               r-bioc-xvector (>= 0.29.2)
+               r-bioc-xvector
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git

## r-bioc-genomicranges 1.56.1+dfsg

=== debian/changelog ===
r-bioc-genomicranges (1.56.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:18:41 +0200

r-bioc-genomicranges (1.56.1+dfsg-1~1exp0) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 09:56:16 +0200

r-bioc-genomicranges (1.56.1+dfsg-1~0exq) experimental; urgency=medium

  * Team upload.
  * d/control: r-bioc-genomeinfodb needs to be a bioconductor 3.19+ version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Jul 2024 13:21:35 +0200

r-bioc-genomicranges (1.56.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:25:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors,
-               r-bioc-iranges (>= 2.31.2),
-               r-bioc-genomeinfodb,
-               r-bioc-xvector
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-genomeinfodb (>= 1.40.1),
+               r-bioc-xvector (>= 0.44.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
@@ -22,9 +23,32 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-genomeinfodb (>= 1.40.1),
+         r-bioc-xvector (>= 0.44.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biobase (>= 2.64.0),
+          r-bioc-annotationdbi (>= 1.66.0),
+          r-bioc-annotate (>= 1.82.0),
+          r-bioc-biostrings (>= 2.72.1),
+          r-bioc-summarizedexperiment (>= 1.34.0),
+          r-bioc-rsamtools (>= 2.20.0),
+          r-bioc-genomicalignments (>= 1.40.0),
+          r-bioc-rtracklayer (>= 1.64.0),
+          r-bioc-bsgenome (>= 1.72.0),
+          r-bioc-genomicfeatures (>= 1.56.0),
+          r-bioc-gviz (>= 1.48.0),
+          r-bioc-variantannotation (>= 1.50.0),
+          r-bioc-annotationhub (>= 3.12.0),
+          r-bioc-deseq2 (>= 1.44.0),
+          r-bioc-dexseq (>= 1.50.0),
+          r-bioc-edger (>= 4.2.0),
+          r-bioc-keggrest (>= 1.44.1),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: BioConductor representation and manipulation of genomic intervals
  The ability to efficiently store genomic annotations and alignments is
  playing a central role when it comes to analyze high-throughput

## r-bioc-genomicranges 1.56.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.54.1
+Version: 1.56.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -31,21 +31,21 @@
 	person("Dan", "Tenenbaum", role="ctb"),
 	person("Daniel", "van Twisk", role="ctb"))
 Depends: R (>= 4.0.0), methods, stats4, BiocGenerics (>= 0.37.0),
-        S4Vectors (>= 0.27.12), IRanges (>= 2.31.2), GenomeInfoDb (>=
+        S4Vectors (>= 0.27.12), IRanges (>= 2.37.1), GenomeInfoDb (>=
         1.15.2)
 Imports: utils, stats, XVector (>= 0.29.2)
 LinkingTo: S4Vectors, IRanges
 Suggests: Matrix, Biobase, AnnotationDbi, annotate, Biostrings (>=
         2.25.3), SummarizedExperiment (>= 0.1.5), Rsamtools (>=
         1.13.53), GenomicAlignments, rtracklayer, BSgenome,
-        GenomicFeatures, Gviz, VariantAnnotation, AnnotationHub,
-        DESeq2, DEXSeq, edgeR, KEGGgraph, RNAseqData.HNRNPC.bam.chr14,
-        pasillaBamSubset, KEGGREST, hgu95av2.db, hgu95av2probe,
-        BSgenome.Scerevisiae.UCSC.sacCer2, BSgenome.Hsapiens.UCSC.hg19,
-        BSgenome.Mmusculus.UCSC.mm10,
+        GenomicFeatures, txdbmaker, Gviz, VariantAnnotation,
+        AnnotationHub, DESeq2, DEXSeq, edgeR, KEGGgraph,
+        RNAseqData.HNRNPC.bam.chr14, pasillaBamSubset, KEGGREST,
+        hgu95av2.db, hgu95av2probe, BSgenome.Scerevisiae.UCSC.sacCer2,
+        BSgenome.Hsapiens.UCSC.hg38, BSgenome.Mmusculus.UCSC.mm10,
         TxDb.Athaliana.BioMart.plantsmart22,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene,
-        TxDb.Hsapiens.UCSC.hg19.knownGene,
+        TxDb.Hsapiens.UCSC.hg38.knownGene,
         TxDb.Mmusculus.UCSC.mm10.knownGene, RUnit, digest, knitr,
         rmarkdown, BiocStyle
 VignetteBuilder: knitr
@@ -62,12 +62,13 @@
         absoluteRanges.R tileGenome.R tile-methods.R genomicvars.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_18
-git_last_commit: d3dcf9a
-git_last_commit_date: 2023-10-27
-Date/Publication: 2023-10-29
+git_branch: RELEASE_3_19
+git_last_commit: 8930ae8
+git_last_commit_date: 2024-10-08
+Repository: Bioconductor 3.19
+Date/Publication: 2024-10-09
 NeedsCompilation: yes
-Packaged: 2023-10-29 21:01:02 UTC; biocbuild
+Packaged: 2024-10-09 21:42:17 UTC; biocbuild
 Author: Patrick Aboyoun [aut],
   Hervé Pagès [aut, cre],
   Michael Lawrence [aut],

=== debian/changelog ===
r-bioc-genomicranges (1.56.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2024 14:39:35 +0900

=== debian/control ===
Source: r-bioc-genomicranges
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               architecture-is-64-bit,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-xvector (>= 0.44.0)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
Homepage: https://bioconductor.org/packages/GenomicRanges/
Rules-Requires-Root: no

Package: r-bioc-genomicranges
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manipulation of genomic intervals
 The ability to efficiently store genomic annotations and alignments is
 playing a central role when it comes to analyze high-throughput
 sequencing data (a.k.a. NGS data). The package defines general purpose
 containers for storing genomic intervals as well as more specialized
 containers for storing alignments against a reference genome.

## r-bioc-genomicranges 1.58.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         Annotation, GenomeAnnotation, Coverage
 URL: https://bioconductor.org/packages/GenomicRanges
 BugReports: https://github.com/Bioconductor/GenomicRanges/issues
-Version: 1.56.2
+Version: 1.58.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -62,13 +62,13 @@
         absoluteRanges.R tileGenome.R tile-methods.R genomicvars.R
         zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicRanges
-git_branch: RELEASE_3_19
-git_last_commit: 8930ae8
-git_last_commit_date: 2024-10-08
-Repository: Bioconductor 3.19
-Date/Publication: 2024-10-09
+git_branch: RELEASE_3_20
+git_last_commit: 31ad89c
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-10-09 21:42:17 UTC; biocbuild
+Packaged: 2024-10-30 00:53:18 UTC; biocbuild
 Author: Patrick Aboyoun [aut],
   Hervé Pagès [aut, cre],
   Michael Lawrence [aut],

=== debian/changelog ===
r-bioc-genomicranges (1.58.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 15:09:55 +0100

r-bioc-genomicranges (1.58.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:52:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-genomicranges
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
+Homepage: https://bioconductor.org/packages/GenomicRanges/
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,11 +17,7 @@
                r-bioc-iranges (>= 2.38.1),
                r-bioc-genomeinfodb (>= 1.40.1),
                r-bioc-xvector (>= 0.44.0)
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicranges.git
-Homepage: https://bioconductor.org/packages/GenomicRanges/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-genomicranges
 Architecture: any
